with import <nixpkgs> {};

stdenv.mkDerivation rec {
  #version = "0.92.0";
  version = "2017-03-03";
  name = "osm2pgsql-${version}";

  src = fetchFromGitHub {
    owner = "openstreetmap";
    repo = "osm2pgsql";
    #rev = "master";
    rev = "c49d1b91aa559444f79280d5cef206d0541c9859";
    sha256 = "0wn0bm4ghp5rpm8avwp3j9f36l1lgl2v245v5smqfqxgarjvsbvk";
  };

  # https://github.com/openstreetmap/osm2pgsql/issues/634
  # https://bz-attachments.freebsd.org/attachment.cgi?id=177390
  #patches = [
  #  ./use-geos36.patch
  #];

  #nativeBuildInputs = [ ];
  buildInputs = [
    boost
    bzip2
    cmake
    expat
    #libressl    # TLS, crypto implementation
    lua
    openssl     # TLS, crypto implementation
    python python27Packages.psycopg2 # regression tests
    postgresql
    proj
    zlib
  ];

  #preConfigure = ''
  #'';
  #buildPhase = ''jam "-j$NIX_BUILD_CORES" '';
  #installPhase = ''
  #'';

  meta = with stdenv.lib; {
    homepage = http://wiki.openstreetmap.org/wiki/Osm2pgsql;
    description = "osm2pgsql is a tool for loading OpenStreetMap data into a PostgreSQL / PostGIS database suitable for applications like rendering into a map, geocoding with Nominatim, or general analysis.";
    license = licenses.gpl2;
    maintainers = [ maintainers.jpierre03 ];
  };
}

